import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { CnProjectContext } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-11 14:39
 */
interface CnProjectContextCU extends ConditionUtil<CnProjectContextCU> {
    ID: FieldUtil<CnProjectContextCU>;
    PROJECT_ID: FieldUtil<CnProjectContextCU>;
    GATEWAY: FieldUtil<CnProjectContextCU>;
    URI: FieldUtil<CnProjectContextCU>;
    DELETED: FieldUtil<CnProjectContextCU>;
    CREATE_USER_ID: FieldUtil<CnProjectContextCU>;
    CREATE_TIME: FieldUtil<CnProjectContextCU>;
    ENV_ID: FieldUtil<CnProjectContextCU>;
    ENV_CODE: FieldUtil<CnProjectContextCU>;
}
declare class CnProjectContextMU extends TableUtilImpl<CnProjectContextCU, CnProjectContext> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): CnProjectContextCU;
    static get ID(): FieldUtil<CnProjectContextCU>;
    static get PROJECT_ID(): FieldUtil<CnProjectContextCU>;
    static get GATEWAY(): FieldUtil<CnProjectContextCU>;
    static get URI(): FieldUtil<CnProjectContextCU>;
    static get DELETED(): FieldUtil<CnProjectContextCU>;
    static get CREATE_USER_ID(): FieldUtil<CnProjectContextCU>;
    static get CREATE_TIME(): FieldUtil<CnProjectContextCU>;
    static get ENV_ID(): FieldUtil<CnProjectContextCU>;
    static get ENV_CODE(): FieldUtil<CnProjectContextCU>;
    static get CN_SLB_ID(): FieldInfo;
    static get SLB_IP(): FieldInfo;
    get ID(): FieldUtil<CnProjectContextCU>;
    get PROJECT_ID(): FieldUtil<CnProjectContextCU>;
    get GATEWAY(): FieldUtil<CnProjectContextCU>;
    get URI(): FieldUtil<CnProjectContextCU>;
    get DELETED(): FieldUtil<CnProjectContextCU>;
    get CREATE_USER_ID(): FieldUtil<CnProjectContextCU>;
    get CREATE_TIME(): FieldUtil<CnProjectContextCU>;
    get ENV_ID(): FieldUtil<CnProjectContextCU>;
    get ENV_CODE(): FieldUtil<CnProjectContextCU>;
    get CN_SLB_ID(): FieldInfo;
    get SLB_IP(): FieldInfo;
}
export { CnProjectContextMU, CnProjectContextCU };
